# mtemp

Simple personal CLI tool for monitoring temperatures.

You need to have ```nvidia-smi``` and ```lm-sensors``` configured and installed. 

## Usage

### CPU (Only AMD)
CPU temp in Celsius.
```
mtemp cpu
```
### GPU (Only NVIDIA)
GPU temp in Celsius.
```
mtemp gpu
```
### Disk
Disk temp in Celsius.
```
mtemp disk
```

## Note 
This tool is specifically designed to function on my personal computer setup and configuration. 
Its compatibility and reliability on other systems cannot be guaranteed. 

Therefore, it is strongly advised not to use this tool outside of its intended environment.
